Bug 147458 - Pasting chart out of visible range (of the cell grid) with Jumbo sheet turned ON
Summary: Pasting chart out of visible range (of the cell grid) with Jumbo sheet turned ON
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2022-02-16 11:21 UTC by Telesto
Modified: 2022-02-23 20:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-02-16 11:21:57 UTC
Description:
Pasting chart out of visible range (of the cell grid) with Jumbo sheet turned ON

Steps to Reproduce:
1. Open attachment 175069 [details] (with jumbo sheet turned ON)
2. Select the chart 
3. CTRL+X
4. CTRL+V

Actual Results:
Chart being pasted on top of sheet with only few dots visible

Expected Results:
Chart not outside the visible area


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2bb10a827ac13d0caf009e8526ccd9f17dc71653
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL Jumbo
Comment 1 Xisco Faulí 2022-02-16 11:51:06 UTC
Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2f0c26dc83448a934af5383f9f6b7a607c334744
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 2 Xisco Faulí 2022-02-16 11:53:01 UTC
Also reproduced in

Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 229123ccc6f90ebf66b3e659bebbd53f8a9bdd3a
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 3 Commit Notification 2022-02-21 18:36:16 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/db345bee733fee8c7157c246979bed2c65799507

use 64bit for window sizes (tdf#147458)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-02-23 20:29:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/129fde28f6aa26a8c52de193b41c0c92a08a7a89

tdf#147458: sc_jumbosheets: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.